/* rw_sock.h
 * Jim Gochee
 *1/17/90
 *
 * All routines return an error code
 */

#define SOCK_WRITE_ERR  -3000
#define SOCK_READ_ERR   -3001

#define BUFFER 1
#define SOCKET 2

#ifdef __STDC__
void write_char(int);
void write_header(int);
void write_short(int);
void write_long(long);
void write_string(char *);
void write_double(double);
void write_block(void *, long);
int flush_buff(int);

int read_chunck(int, char *, long);
int read_char(int, char *);
int read_header(int, char *);
int read_short(int, short *);
int read_long(int, long *);
int read_string(int, char *, int);
int read_a_string(int, char **);              /* Allocates mem for the data */
int read_double(int, double *);
int read_block(int, void *, long);

#endif

