

#define H_ADDR(x) (*(long *)((x)->h_addr))
#define N_ADDR(x) htonl(H_ADDR(x))


typedef struct {
  char name[40];
  long addr;
} node_des;


#ifdef __STDC__
int install_listener(int, int);
void random_listener(int *, int *, int);
int get_local_address(long *address);
struct hostent *new_hostent(void);
void free_hostent(struct hostent *);
int my_gethostbyaddr(long address, struct hostent *);
long get_remote_addr(char *machine);

int accept_connection(int, node_des *);
int connect_remote(int port, long address, int timeout);
int connect_remote_h(char *host, int prot, int timeout);

void copy_node_des(node_des *dest, node_des *src);
int my_getnodebyaddr(long address, node_des *);

void hent_to_ndes(struct hostent *h, node_des *n);

#endif

