#define INT    1
#define SHORT  2
#define LONG   3
#define DOUBLE 4
#define FLOAT  5


#ifdef __STDC__
void pack_link_des(link_des *);
void unpack_link_des(link_des *);
void *pack_object(object_instance *);
void unpack_object(void *, object_instance *);
object_instance *new_object(void);
void free_object(object_instance *);

parameter_block *new_params();
void set_params();
void get_params();
void get_param_len();
void free_params(parameter_block *);
void clean_params(parameter_block *);

return_info *new_rinfo();
#else

void pack_link_des();
void unpack_link_des();
void *pack_object();
void unpack_object();
object_instance *new_object();
void free_object();

parameter_block *new_params();
void set_params();
void get_params();
void get_param_len();
void free_params();
void clean_params();
return_info *new_rinfo();

#endif
