typedef void *timedtasks;

#ifdef __STDC__
timedtasks new_timed_tasks(void);
long add_timed_task(timedtasks, long secs, long usecs, void *, void *);
void remove_timed_task(timedtasks, long);
void free_timed_tasks(timedtasks);
void next_task_wait(timedtasks, struct timeval *);
int do_tasks(timedtasks);
#else
timedtasks new_timed_tasks();
long add_timed_task();
void remove_timed_task();
void free_timed_tasks();
void next_task_wait();
int do_tasks();
#endif
